// **************************************************************************
// * This file is part of the FreeFileSync project. It is distributed under *
// * GNU General Public License: http://www.gnu.org/licenses/gpl.html       *
// * Copyright (C) 2008-2010 ZenJu (zhnmju123 AT gmx.de)                    *
// **************************************************************************
//
#ifndef SHADOW_H_INCLUDED
#define SHADOW_H_INCLUDED

#ifndef FFS_WIN
use in windows build only!
#endif

#include "zstring.h"
#include "fileError.h"


namespace FreeFileSync
{
class ShadowCopy //buffer access to Windows Volume Shadow Copy Service
{
public:
    ShadowCopy();
    ~ShadowCopy();

    Zstring makeShadowCopy(const Zstring& inputFile); //throw(FileError); returns filename on shadow copy

private:
    ShadowCopy(const ShadowCopy&);
    ShadowCopy& operator=(const ShadowCopy&);

    Zstring realVolumeLast;   //buffer last volume name
    Zstring shadowVolumeLast; //buffer last created shadow volume
    void* backupHandle;
};
}

#endif // SHADOW_H_INCLUDED
